Theme
Submit Video Generation Task
POST
https://www.kkiai.com/luma/generations
Official Documentation: https://docs.lumalabs.ai/docs/video-generation
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
user_prompt | string | Required | Required. User input prompt/problem description |
expand_prompt | boolean | Required | Optional. Prompt optimization switch |
loop | boolean | Required | Optional. Whether to loop the reference image |
image_url | string | Required | |
image_end_url | string | Required | Optional. Target keyframe image |
notify_hook | string | Required | Optional. Callback notification URL after processing is complete |
resolution | string | Required | 720p or 1080p, default is 720p |
duration | string | Required | |
model_name | string | Required | ray-v1, ray-v2. Official display is ray1.6 ray2 |
Request Example
json
{
"user_prompt": "A gust of wind passes through the woods, causing the woman's veil to flutter gently.",
"model_name":"ray-v2",
"duration":"5s",
"resolution":"720p"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/luma/generations' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"user_prompt": "A gust of wind passes through the woods, causing the woman's veil to flutter gently.",
"model_name":"ray-v2",
"duration":"5s",
"resolution":"720p"
}'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"id": "4665a07c-7641-4809-a133-10786201bb56",
"prompt": "",
"state": "pending",
"queue_state": null,
"created_at": "2024-12-22T13:38:40.139409Z",
"batch_id": "",
"video": null,
"video_raw": null,
"liked": null,
"estimate_wait_seconds": null,
"thumbnail": null,
"last_frame": null
}